export declare function getPresetEnv<Opt extends {
    modules: false | 'commonjs';
    targets?: {
        esmodules: true;
    } | Record<'chrome' | 'firefox', string>;
}>(options: Opt): [string, Opt];
export declare const presetEnvEs: [string, {
    modules: false;
    targets: {
        esmodules: true;
    };
}];
export declare const presetEnvCjs: [string, {
    modules: "commonjs";
}];
export declare const baseConfig: {
    presets: ((string | {
        development: boolean;
    })[] | (string | {
        isTSX: boolean;
        allExtensions: boolean;
        jsxPragma: string;
    })[])[];
    plugins: (string | (string | {
        decoratorsBeforeExport: boolean;
    })[])[];
};
export declare const esBabelConfig: {
    presets: ([string, {
        modules: false;
        targets: {
            esmodules: true;
        };
    }] | (string | {
        development: boolean;
    })[] | (string | {
        isTSX: boolean;
        allExtensions: boolean;
        jsxPragma: string;
    })[])[];
    plugins: (string | (string | {
        decoratorsBeforeExport: boolean;
    })[])[];
};
export declare const cjsBabelConfig: {
    presets: ([string, {
        modules: "commonjs";
    }] | (string | {
        development: boolean;
    })[] | (string | {
        isTSX: boolean;
        allExtensions: boolean;
        jsxPragma: string;
    })[])[];
    plugins: (string | (string | {
        decoratorsBeforeExport: boolean;
    })[])[];
};
//# sourceMappingURL=index.d.ts.map